Bug 52986 - After failure to download kernel, kernel was installed twice
After failure to download kernel, kernel was installed twice
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-31 20:38 EDT by Nick Simicich
Modified: 2015-01-07 18:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 14:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Simicich 2001-08-31 20:38:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I ran up2date to update my system after this morning's drop.  The up2date 
seemed to be running along correctly, (the system name is 
parrot.squawk.com) but then it got an access denied error on the kernel 
rpm.

I then restarted the up2date -u.  The up2date restarted, it did not 
download the packages already downloaded, but then it installed the kernel 
twice.


I got a message about the initrd file in boot already existing.



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

I had just had a failure with the rom database the other day and had 
reinitialized it.  Also:

[root@parrot root]# rpm -q kernel
kernel-2.4.7-2
kernel-2.4.6-3.1
kernel-2.4.7-2
kernel-2.4.7-6
kernel-2.4.7-6
[root@parrot root]#

If, in fact, this is just the multiple architecture kernel problem, and 
this is the way things should work, instead of closing it "NOTABUG" please 
change the component on this bug to mkinitrd, as grubby should probably 
not add the exact same kernel stanza to the grub.conf twice.
Comment 1 Adrian Likins 2001-09-04 12:17:05 EDT
This is a borderline NOTABUG, but annoying. It sounds like you have
two different arches of the kernel installed. The next version of
the client should avoid this problem.
Comment 2 Nick Simicich 2001-09-04 14:03:51 EDT
Actually, I have two of the exact same architecture of the kernel installed, I 
used up2date to do this like I said, I didn't run forces.  The system name was 
parrot.squawk.com, I did it the first day of the latest drop a few days ago.  
While downloading the kernel, I got a 401.  I restarted the up2date and it 
picked up, but it installed the same kernel RPM, same architecture twice.

Note You need to log in before you can comment on or make changes to this bug.